## CopyAnimation

### Description

Copies the animation under the specified parameter.

### Scripting Syntax

    CopyAnimation( InputObjs, [UseFCurves], [UseExpressions], [RemoveAnimation], [BaseAnimation], [LayerAnimation] );

### Parameters

Parameter | Type | Description
--- | --- | ---
InputObjs | markable parameter | The parameter under which we can find the animations
UseFCurves | Boolean | boolean that says if we want to copy the fcurves under the object Default Value: true
UseExpressions | Boolean | boolean that says if we want to copy the expressions under the object Default Value: true
RemoveAnimation | Boolean | boolean that says if we want to disconnect the animations after copying them (not supported for now) Default Value: false
BaseAnimation | Boolean | If True the command will copy animation on the base layer. Default Value: True
LayerAnimation | Boolean | If True the command will copy animation on all layers except the base layer. Default Value: True

### See Also

PasteAnimation CopyAllAnimation PasteAllAnimation CopyAllAnimation2